=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKG3=python3-astroid

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	NO_SETUPTOOLS=1 python3 setup.py install --no-compile \
			--root=$(CURDIR)/debian/$(PKG3)/ \
			--install-layout=deb
	# remove tests files
	rm -rf debian/*/usr/lib/python*/*-packages/astroid/tests

override_dh_installdocs:
	dh_installdocs -i README.rst
